## Class RJavaTools_Test

- java.lang.Object
- - RJavaTools_Test

-     public class RJavaTools_Test
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RJavaTools_Test.DummyNonStaticClass`
    `static class` | `RJavaTools_Test.TestException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `static_x`
    `int` | `x`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RJavaTools_Test()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getStaticX()`
    `int` | `getX()`
    `static void` | `main(java.lang.String[] args)`
    `static void` | `runtests()`
    `void` | `setX(java.lang.Integer x)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x

          public int x

    - #### static_x

          public static int static_x

  - ### Constructor Detail

    - #### RJavaTools_Test

          public RJavaTools_Test()

  - ### Method Detail

    - #### getX

          public int getX()

    - #### getStaticX

          public static int getStaticX()

    - #### setX

          public void setX(java.lang.Integer x)

    - #### main

          public static void main(java.lang.String[] args)

    - #### runtests

          public static void runtests()
                               throws RJavaTools_Test.TestException

      Throws:
        `RJavaTools_Test.TestException`